ElectroNeek Documentation

Get launches of a Bot Runner

This returns a list of launches for a specific Bot Runner. You can filter the launches by type, status, launch time, and Bot Runner IDs. The output list contains the last 1000 launches.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}/launches

{region} may be: na, cis, apac, latam, emea

Authentication

Use an API Token from the Orchestrator → Integrations page. Send it as a bearer token: Authorization: Bearer <token>.

path parameters

NameTypeRequiredDescription
idstringyesBot Runner ID

query parameters

NameTypeRequiredDescription
typestring (manual, webhook, schedule, zapier, api)no
statusstring (stopped, in-queue, cancelled, forced-stop, in-progress, completed-with-error, completed-successfully)no
started_fromdate-timeno
started_todate-timeno
completed_fromdate-timeno
completed_todate-timeno
workflow_idsarray of stringno

Response

200Success
Response body
object
listarray of objects
object
iduuidrequired
typestring (manual, webhook, schedule, zapier, api)required
statusstring (in-progress, completed-successfully, completed-with-error)required
started_atdate-timerequired
output_dataobject

This returns all the Global Variables that were selected as Output while building the workflow in Studio Pro.

completed_atdate-timerequired
logs_enabledbooleanrequired
account_emailstringrequired
workflow_idstring
Updated